CFPRIME SVCINT                                                          SVCINT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE SVCINT(*,*)                                            SVCINT      3
CD                                                                      SVCINT      4
CD    TO PERFORM INITIALIZATION FOR SVC.                                SVCINT      5
CD                                                                      SVCINT      6
CD   12.0 Static VAR compensator                                        SVCINT      7
CD                                                                      SVCINT      8
CD     N                             : SVC number                       SVCINT      9
CD     NSAB(N)                       : SVC load flow bus number         SVCINT     10
CD     NSVCID(N)                     : SVC id                           SVCINT     11
CD     NROLD(N)                      : SVC bus number (program number)  SVCINT     12
CD     JS             = JSDAT(N)     : SVC data vector offset           SVCINT     13
CD     JST            = JXSVR(N)     : SVC state vector offset          SVCINT     14
CD     JY             = JVSVR(N)     : SVC Y-variable vector offset     SVCINT     15
CD                                                                      SVCINT     16
CD   12.1 Static VAR compensator type 1                                 SVCINT     17
CD                                                                      SVCINT     18
CD     SVC data                                                         SVCINT     19
CD                                                                      SVCINT     20
CD     DDAT(JS+ 1)    = K                                               SVCINT     21
CD     DDAT(JS+ 2)    = QL (MVAR)                                       SVCINT     22
CD     DDAT(JS+ 3)    = QC (MVAR)                                       SVCINT     23
CD     DDAT(JS+ 4)    = T1                                              SVCINT     24
CD     DDAT(JS+ 5)    = T2                                              SVCINT     25
CD     DDAT(JS+ 6)    = T3                                              SVCINT     26
CD     DDAT(JS+ 7)    = T4                                              SVCINT     27
CD     DDAT(JS+ 8)    = T5                                              SVCINT     28
CD     IDDAT(JS+ 9)   = SVC type code     (=1)                          SVCINT     29
CD     IDDAT(JS+10)   = sensing bus                                     SVCINT     30
CD     IDDAT(JS+11)   = SVC initial value as bus MVAR percentage        SVCINT     31
CD     IDDAT(JS+12)   = number of time step subdivisions                SVCINT     32
CD                                                                      SVCINT     33
CD     SVC Y-variable array                                             SVCINT     34
CD                                                                      SVCINT     35
CD     YVAR(JY+1) <=> RVREF(JY+1) = reference value                     SVCINT     36
CD     YVAR(JY+2) <=> BSVC(JY+2) = SVC susceptance                      SVCINT     37
CD     YVAR(JY+3) <=> BSVCO(JY+3) = initial susceptance                 SVCINT     38
CD     YVAR(JY+4) <=> BASER(JY+4) = MVA base ratio                      SVCINT     39
CD                                                                      SVCINT     40
CD   12.2 Static VAR compensator types 2 and 3                          SVCINT     41
CD                                                                      SVCINT     42
CD     Data common for SVC types 2 and 3                                SVCINT     43
CD                                                                      SVCINT     44
CD     DDAT(JS+ 1)    = TS1                                             SVCINT     45
CD     DDAT(JS+ 2)    = VEMAX                                           SVCINT     46
CD     DDAT(JS+ 3)    = TS2                                             SVCINT     47
CD     DDAT(JS+ 4)    = TS3                                             SVCINT     48
CD     DDAT(JS+ 5)    = TS4                                             SVCINT     49
CD     DDAT(JS+ 6)    = TS5                                             SVCINT     50
CD     DDAT(JS+ 7)    = KSVC                                            SVCINT     51
CD     DDAT(JS+ 8)    = NLINE (internal)                                SVCINT     52
CD     IDDAT(JS+ 9)   = SVC type code (=2 or 3)                         SVCINT     53
CD     IDDAT(JS+10)   = sensing bus                                     SVCINT     54
CD     IDDAT(JS+11)   = SVC initial value as bus MVAR percentage        SVCINT     55
CD     IDDAT(JS+12)   = number of time step subdivisions                SVCINT     56
CD     DDAT(JS+13)    = KSD                                             SVCINT     57
CD     DDAT(JS+14)    = QL (MVAR)                                       SVCINT     58
CD     DDAT(JS+15)    = BMAX                                            SVCINT     59
CD     DDAT(JS+16)    = BMIN                                            SVCINT     60
CD     DDAT(JS+17)    = QC (MVAR)                                       SVCINT     61
CD     DDAT(JS+18)    = TS6                                             SVCINT     62
CD     DDAT(JS+19)    = DV                                              SVCINT     63
CD     DDAT(JS+20)    = (reserved for future use)                       SVCINT     64
CD     DDAT(JS+21)    = VMAX                                            SVCINT     65
CD     DDAT(JS+22)    = VMIN                                            SVCINT     66
CD     DDAT(JS+23)    = VEMIN                                           SVCINT     67
CD     DDAT(JS+24)    = BIAS (P.U.)                                     SVCINT     68
CD     DDAT(JS+25)    = DV2                                             SVCINT     69
CD     DDAT(JS+26)    = BSHUNT(P.U.)                                    SVCINT     70
CD     DDAT(JS+27)    = TD                                              SVCINT     71
CD                                                                      SVCINT     72
CD     Data for SVC type 3 only                                         SVCINT     73
CD                                                                      SVCINT     74
CD     IDDAT(JS+28) = MT1                                               SVCINT     75
CD     IDDAT(JS+29) = MT2                                               SVCINT     76
CD                                                                      SVCINT     77
CD     MT1 = 0                                                          SVCINT     78
CD     IDDAT(JS+30)   = NFBUS                                           SVCINT     79
CD     IDDAT(JS+31)   = NTBUS                                           SVCINT     80
CD     IDDAT(JS+32)   = ICKT                                            SVCINT     81
CD                                                                      SVCINT     82
CD     MT1 = 1                                                          SVCINT     83
CD     DDAT(JS+30)    = TF                                              SVCINT     84
CD     IDDAT(JS+31)   = NBUS                                            SVCINT     85
CD     IDDAT(JS+32)   = (reserved for future use)                       SVCINT     86
CD                                                                      SVCINT     87
CD     MT1 = 2                                                          SVCINT     88
CD     IDDAT(JS+30)   = NGBUS                                           SVCINT     89
CD     IDDAT(JS+31)   = GID                                             SVCINT     90
CD     IDDAT(JS+32)   = (reserved for future use)                       SVCINT     91
CD                                                                      SVCINT     92
CD     DDAT(JS+33)    = KS1                                             SVCINT     93
CD     DDAT(JS+34)    = TS7                                             SVCINT     94
CD     DDAT(JS+35)    = TS8                                             SVCINT     95
CD     DDAT(JS+36)    = TS9                                             SVCINT     96
CD     DDAT(JS+37)    = TS13                                            SVCINT     97
CD     DDAT(JS+38)    = KS3                                             SVCINT     98
CD     DDAT(JS+39)    = VSCSMAX                                         SVCINT     99
CD     DDAT(JS+40)    = KS2                                             SVCINT    100
CD     DDAT(JS+41)    = TS10                                            SVCINT    101
CD     DDAT(JS+42)    = TS11                                            SVCINT    102
CD     DDAT(JS+43)    = TS12                                            SVCINT    103
CD     DDAT(JS+44)    = number of 2*ã's of VSVC angle                   SVCINT    104
CD     DDAT(JS+45)    = VSVC angle at previous time step                SVCINT    105
CD     IDDAT(JS+46)   = ICKT of first remote line                       SVCINT    106
CD     IDDAT(JS+47)   = ICKT of first remote line                       SVCINT    107
CD     .                                                                SVCINT    108
CD     .                                                                SVCINT    109
CD     .      (For 2*NLINE entries)                                     SVCINT    110
CD                                                                      SVCINT    111
CD                                                                      SVCINT    112
CD     SVC Y-variable array                                             SVCINT    113
CD                                                                      SVCINT    114
CD     YVAR(JY+1) <=> RVREF(JY+1) = reference value                     SVCINT    115
CD     YVAR(JY+2) <=> BSVC(JY+2) = SVC susceptance                      SVCINT    116
CD     YVAR(JY+3) <=> BSVCO(JY+3) = initial susceptance                 SVCINT    117
CD     YVAR(JY+4) <=> BASER(JY+4) = MVA base ratio                      SVCINT    118
CD                                                                      SVCINT    119
CD   12.3 Saturable reactor type 6                                      SVCINT    120
CD                                                                      SVCINT    121
CD     Reactor data                                                     SVCINT    122
CD                                                                      SVCINT    123
CD     DDAT(JS+ 1)    = V1                                              SVCINT    124
CD     DDAT(JS+ 2)    = V2                                              SVCINT    125
CD     DDAT(JS+ 3)    = G1                                              SVCINT    126
CD     DDAT(JS+ 4)    = G2                                              SVCINT    127
CD     DDAT(JS+ 5)    = (reserved for future use)                       SVCINT    128
CD     DDAT(JS+ 6)    = (reserved for future use)                       SVCINT    129
CD     DDAT(JS+ 7)    = (reserved for future use)                       SVCINT    130
CD     DDAT(JS+ 8)    = (reserved for future use)                       SVCINT    131
CD     IDDAT(JS+ 9)   = SVC type code (=6)                              SVCINT    132
CD     IDDAT(JS+10)   = (reserved for future use)                       SVCINT    133
CD     IDDAT(JS+11)   = reactor initial value as bus mvar percentage    SVCINT    134
CD     IDDAT(JS+12)   = (reserved for future use)                       SVCINT    135
CD                                                                      SVCINT    136
CD     Reactor Y-variable array                                         SVCINT    137
CD                                                                      SVCINT    138
CD     YVAR(JY+1)  :  (reserved for future use)                         SVCINT    139
CD     YVAR(JY+2) <=> BSVC(JY+2) = SVC susceptance                      SVCINT    140
CD     YVAR(JY+3) <=> BSVCO(JY+3) = initial susceptance                 SVCINT    141
CD                                                                      SVCINT    142
      INCLUDE 'PARX.INS'                                                SVCINT    143
      INCLUDE 'CNPT.INS'                                                SVCINT    144
      INCLUDE 'CNIPTR.INS'                                              SVCINT    145
      INCLUDE 'CNSTN.INS'                                               SVCINT    146
      INCLUDE 'CNB1.INS'                                                SVCINT    147
      INCLUDE 'CNB4.INS'                                                SVCINT    148
      INCLUDE 'CNB19.INS'                                               SVCINT    149
      INCLUDE 'CNSVS.INS'                                               SVCINT    150
      INCLUDE 'CNUDM.INS'                                               SVCINT    151
C                                                                       SVCINT    152
      INCLUDE 'CNXSTA.INS'                                              SVCINT    153
      INCLUDE 'CNMDAT.INS'                                              SVCINT    154
      INCLUDE 'CNVOLT.INS'                                              SVCINT    155
      INCLUDE 'CNNNEW.INS'                                              SVCINT    156
      INCLUDE 'CNMYVA.INS'                                              SVCINT    157
      INCLUDE 'CNYVAR.INS'                                              SVCINT    158
C                                                                       SVCINT    159
      INCLUDE 'CNQSTA.INS'                                              SVCINT    160
      INCLUDE 'EQQSTA.INS'                                              SVCINT    161
      INCLUDE 'CNUNIT.INS'                                              SVCINT    162
      INCLUDE 'CNFLAG.INS'                                              SVCINT    163
      INCLUDE 'CNXDOT.INS'                                              SVCINT    164
      INCLUDE 'CNMSG.INS'                                               SVCINT    165
C                                                                       SVCINT    166
      CHARACTER*4 KCKT,CKID                                             SVCINT    167
      CHARACTER*2 LCKT,LCKT1,CID,MCID,CCKT                              SVCINT    168
      INTEGER*4 IDGEN,JCKID                                             SVCINT    169
      EQUIVALENCE (IDGEN,KCKT),(JCKID,CKID)                             SVCINT    170
C                                                                       SVCINT    171
      LDEB=(JDEB(263).NE.0)                                             SVCINT    172
C                                                                       SVCINT    173
C   CHECK TYPE OF SATURABLE REACTOR                                     SVCINT    174
C                                                                       SVCINT    175
      I1=0                                                              SVCINT    176
      I2=0                                                              SVCINT    177
      DO 100 N=1,NSVC                                                   SVCINT    178
      JS=JSDAT(N)                                                       SVCINT    179
      CID=NSVCID(N)(3:4)                                                SVCINT    180
      NRTYPN=IDDAT(JS+9)                                                SVCINT    181
      IF (NRTYPN.GT.5.AND.NRTYPN.NE.50) I1=N                            SVCINT    182
      IF (NRTYPN.LE.5.OR.NRTYPN.EQ.50) I2=N                             SVCINT    183
  100 CONTINUE                                                          SVCINT    184
C                                                                       SVCINT    185
      IF (I1.EQ.0) GO TO 120                                            SVCINT    186
      DO 110 N=1,I1                                                     SVCINT    187
      JS=JSDAT(N)                                                       SVCINT    188
      NRTYPN=IDDAT(JS+9)                                                SVCINT    189
      IF (NRTYPN.LE.5.OR.NRTYPN.EQ.50) GO TO 110                        SVCINT    190
      IF(JY+3.GT.NSI) RETURN 2                                          SVCINT    191
      JXSVR(N)=JSTATE                                                   SVCINT    192
      JVSVR(N)=JY                                                       SVCINT    193
      BSVC(JY+2)=BSVCT(N)                                               SVCINT    194
      K=NROLD(N)                                                        SVCINT    195
      VMG=REAL(VOLT(K))**2+AIMAG(VOLT(K))**2                            SVCINT    196
      VMG=SQRT(VMG)                                                     SVCINT    197
      IF (DDAT(JS+1).LT.1.E-6) DDAT(JS+1)=99.999                        SVCINT    198
      IF (DDAT(JS+2).LT.1.E-6) DDAT(JS+2)=99.999                        SVCINT    199
      V1=DDAT(JS+1)                                                     SVCINT    200
      V2=DDAT(JS+2)                                                     SVCINT    201
      G1=DDAT(JS+3)                                                     SVCINT    202
      G2=DDAT(JS+4)                                                     SVCINT    203
      CALL SATFU (VMG,V1,V2,G1,G2,FACT)                                 SVCINT    204
      DDAT(JS+6)=FACT                                                   SVCINT    205
      BSVCO(JY+3)=BSVC(JY+2)                                            SVCINT    206
      BSVC(JY+2)=BSVC(JY+2)/FACT                                        SVCINT    207
      DDAT(JS+8)=0.0                                                    SVCINT    208
      JY=JY+3                                                           SVCINT    209
  110 CONTINUE                                                          SVCINT    210
C                                                                       SVCINT    211
  120 CONTINUE                                                          SVCINT    212
      IF (I2.EQ.0) GO TO 200                                            SVCINT    213
      DO 190 N=1,I2                                                     SVCINT    214
      JS=JSDAT(N)                                                       SVCINT    215
      NRTYPN=IDDAT(JS+9)                                                SVCINT    216
      IF(NRTYPN.GT.5.AND.NRTYPN.NE.50) GO TO 190                        SVCINT    217
      IF(JSTATE+10.GT.NSI) RETURN 1                                     SVCINT    218
      IF(JY+8+NXUDB.GT.NSI) RETURN 2                                    SVCINT    219
      JXSVR(N)=JSTATE                                                   SVCINT    220
      JVSVR(N)=JY                                                       SVCINT    221
      BSVC(JY+2)=BSVCT(N)                                               SVCINT    222
      KS=NROLD(N)                                                       SVCINT    223
      K3=KS*3                                                           SVCINT    224
      NLF=NOLD(KS)                                                      SVCINT    225
      BSVCO(JY+3)=BSVC(JY+2)                                            SVCINT    226
C                                                                       SVCINT    227
      IF(NRTYPN.EQ.50) THEN                                             SVCINT    228
C                                                                       SVCINT    229
         BSVCO(JY+8)=0.0                                                SVCINT    230
         JE0=JS                                                         SVCINT    231
         VRE=REAL(VOLT(KS))                                             SVCINT    232
         VIM=AIMAG(VOLT(KS))                                            SVCINT    233
         VMG=SQRT(VRE**2+VIM**2)                                        SVCINT    234
         CALL FMOVE(0,VALIN,VALIN,80)                                   SVCINT    235
         VALIN(7)=VMG                                                   SVCINT    236
         IF(VMG.GT.0.05) VALIN(9)=ATAN2(VIM,VRE)                        SVCINT    237
         IDDAT(JE0+1)=0                                                 SVCINT    238
         DDAT(JE0+2)=VALIN(9)                                           SVCINT    239
C                                                                       SVCINT    240
         JE1=JE0+13                                                     SVCINT    241
         NUF=5                                                          SVCINT    242
         CALL UDMINT(NUF,VMG,NLF,K3,CID)                                SVCINT    243
C                                                                       SVCINT    244
         IF(LDEB) WRITE(IUD6,1160) (I,VALIN(I),I=1,80)                  SVCINT    245
C                                                                       SVCINT    246
         IOUT=IDDAT(JE7+1)                                              SVCINT    247
         RVREF(JY+1)=VALIN(20)                                          SVCINT    248
         BDEV(JY+5)=VALOUT(IOUT)                                        SVCINT    249
         IF(BASER(JY+4).GT.0.0) THEN                                    SVCINT    250
            BTCR(JY+6)=VALIN(6)                                         SVCINT    251
            STCR(JY+7)=VALIN(11)                                        SVCINT    252
         ELSE                                                           SVCINT    253
            STCR(JY+7)=VALIN(12)                                        SVCINT    254
         ENDIF                                                          SVCINT    255
         JY=JY+8                                                        SVCINT    256
         DO 130 J=1,NXUDB                                               SVCINT    257
         YVAR(JY+J)=VALOUT(J)                                           SVCINT    258
  130    CONTINUE                                                       SVCINT    259
         JY=JY+NXUDB                                                    SVCINT    260
         GO TO 190                                                      SVCINT    261
      ENDIF                                                             SVCINT    262
C                                                                       SVCINT    263
      L=IDDAT(JS+10)                                                    SVCINT    264
      L3=L*3                                                            SVCINT    265
      MLF=NOLD(L)                                                       SVCINT    266
      VL=CABS(VOLT(L))                                                  SVCINT    267
      NXS=0                                                             SVCINT    268
C                                                                       SVCINT    269
      IF(NRTYPN.EQ.1) THEN                                              SVCINT    270
C                                                                       SVCINT    271
C  INPUT TIME CONSTANTS CHECK AND RESET                                 SVCINT    272
C                                                                       SVCINT    273
         IF(DDAT(JS+6).LT.TMIN.AND.IDDAT(JS+6).NE.0)THEN                SVCINT    274
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    275
          WRITE(MSG(2),9021) NRTYPN,'T3',DDAT(JS+6),TMIN                SVCINT    276
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    277
            CALL PRTMSG(2)                                              SVCINT    278
          ELSE                                                          SVCINT    279
            WRITE(MSG(3),9022) 'T3',0.0                                 SVCINT    280
            CALL PRTMSG(3)                                              SVCINT    281
            DDAT(JS+6)=0.0                                              SVCINT    282
          ENDIF                                                         SVCINT    283
         ENDIF                                                          SVCINT    284
C                                                                       SVCINT    285
         IF(DDAT(JS+7).LT.TMIN.AND.IDDAT(JS+7).NE.0)THEN                SVCINT    286
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    287
          WRITE(MSG(2),9021) NRTYPN,'T4',DDAT(JS+7),TMIN                SVCINT    288
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    289
            CALL PRTMSG(2)                                              SVCINT    290
          ELSE                                                          SVCINT    291
            WRITE(MSG(3),9022) 'T4',0.0                                 SVCINT    292
            CALL PRTMSG(3)                                              SVCINT    293
            DDAT(JS+7)=0.0                                              SVCINT    294
          ENDIF                                                         SVCINT    295
         ENDIF                                                          SVCINT    296
C                                                                       SVCINT    297
         IF(DDAT(JS+8).LT.TMIN.AND.IDDAT(JS+8).NE.0)THEN                SVCINT    298
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    299
          WRITE(MSG(2),9021) NRTYPN,'T5',DDAT(JS+8),TMIN                SVCINT    300
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    301
            CALL PRTMSG(2)                                              SVCINT    302
          ELSE                                                          SVCINT    303
            WRITE(MSG(3),9022) 'T5',TMIN                                SVCINT    304
            CALL PRTMSG(3)                                              SVCINT    305
            DDAT(JS+8)=TMIN                                             SVCINT    306
          ENDIF                                                         SVCINT    307
         ENDIF                                                          SVCINT    308
C                                                                       SVCINT    309
         BASER(JY+4)=DDAT(JS+2)/BASPC                                   SVCINT    310
         BSVCN=BSVC(JY+2)/BASER(JY+4)                                   SVCINT    311
         BMIN=-DDAT(JS+3)/DDAT(JS+2)                                    SVCINT    312
         BMAX=BMIN+1.0                                                  SVCINT    313
         IF(BSVCN.LT.BMIN.OR.BSVCN.GT.BMAX) THEN                        SVCINT    314
      WRITE(MSG(1),1050) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)          SVCINT    315
      WRITE(MSG(2),1140)                                                SVCINT    316
      WRITE(MSG(3),1141) DDAT(JS+2),DDAT(JS+3),BSVCN                    SVCINT    317
      CALL PRTMSG(3)                                                    SVCINT    318
            MSG(1)='SVCINT: RATING ERROR.'                              SVCINT    319
            CALL ASTOP(MSG(1),20)                                       SVCINT    320
         ENDIF                                                          SVCINT    321
         VMG=REAL(VOLT(KS))**2+AIMAG(VOLT(KS))**2                       SVCINT    322
         QSAT=VMG*BSVCN                                                 SVCINT    323
         VMG=SQRT(VMG)                                                  SVCINT    324
         IF (DDAT(JS+6).LE.0.0) GOTO 135                                SVCINT    325
         NXS=NXS+1                                                      SVCINT    326
         XSTATE(JSTATE+NXS)=BSVCN                                       SVCINT    327
         XDFACT(JSTATE+NXS)=DDAT(JS+1)                                  SVCINT    328
  135    CONTINUE                                                       SVCINT    329
         IF (DDAT(JS+7).LE.0.0) GO TO 140                               SVCINT    330
         NXS=NXS+1                                                      SVCINT    331
         XSTATE(JSTATE+NXS)=BSVCN                                       SVCINT    332
         XDFACT(JSTATE+NXS)=DDAT(JS+1)                                  SVCINT    333
  140    CONTINUE                                                       SVCINT    334
         IF (DDAT(JS+8).LE.0.0) GO TO 150                               SVCINT    335
         NXS=NXS+1                                                      SVCINT    336
         XSTATE(JSTATE+NXS)=BSVCN                                       SVCINT    337
         XDFACT(JSTATE+NXS)=DDAT(JS+1)                                  SVCINT    338
  150    CONTINUE                                                       SVCINT    339
         VSUM=BSVCN/DDAT(JS+1)                                          SVCINT    340
         RVREF(JY+1)=VL-VSUM                                            SVCINT    341
         DDAT(JS+13)=VL                                                 SVCINT    342
C                                                                       SVCINT    343
C     INVERT T3,T4, AND T5                                              SVCINT    344
C                                                                       SVCINT    345
         IF (DDAT(JS+6).GT.0.0) DDAT(JS+6)=1.0/DDAT(JS+6)               SVCINT    346
         IF (DDAT(JS+7).GT.0.0) DDAT(JS+7)=1.0/DDAT(JS+7)               SVCINT    347
         IF (DDAT(JS+8).GT.0.0) DDAT(JS+8)=1.0/DDAT(JS+8)               SVCINT    348
         DDAT(JS+3)=DDAT(JS+3)/DDAT(JS+2)                               SVCINT    349
C                                                                       SVCINT    350
      ELSEIF(NRTYPN.EQ.2.OR.NRTYPN.EQ.3) THEN                           SVCINT    351
C                                                                       SVCINT    352
C  INPUT TIME CONSTANTS CHECK AND RESET                                 SVCINT    353
C                                                                       SVCINT    354
         IF(DDAT(JS+1).LT.TMIN.AND.IDDAT(JS+1).NE.0)THEN                SVCINT    355
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    356
          WRITE(MSG(2),9021) NRTYPN,'TS1',DDAT(JS+1),TMIN               SVCINT    357
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    358
            CALL PRTMSG(2)                                              SVCINT    359
          ELSE                                                          SVCINT    360
            WRITE(MSG(3),9022) 'TS1',0.0                                SVCINT    361
            CALL PRTMSG(3)                                              SVCINT    362
            DDAT(JS+1)=0.0                                              SVCINT    363
          ENDIF                                                         SVCINT    364
         ENDIF                                                          SVCINT    365
C                                                                       SVCINT    366
         IF(DDAT(JS+4).LT.TMIN.AND.IDDAT(JS+4).NE.0)THEN                SVCINT    367
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    368
          WRITE(MSG(2),9021) NRTYPN,'TS3',DDAT(JS+4),TMIN               SVCINT    369
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    370
            CALL PRTMSG(2)                                              SVCINT    371
          ELSE                                                          SVCINT    372
            WRITE(MSG(3),9022) 'TS3',0.0                                SVCINT    373
            CALL PRTMSG(3)                                              SVCINT    374
            DDAT(JS+4)=0.0                                              SVCINT    375
          ENDIF                                                         SVCINT    376
         ENDIF                                                          SVCINT    377
C                                                                       SVCINT    378
         IF(DDAT(JS+6).LT.TMIN.AND.IDDAT(JS+6).NE.0)THEN                SVCINT    379
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    380
          WRITE(MSG(2),9021) NRTYPN,'TS5',DDAT(JS+6),TMIN               SVCINT    381
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    382
            CALL PRTMSG(2)                                              SVCINT    383
          ELSE                                                          SVCINT    384
            WRITE(MSG(3),9022) 'TS5',0.0                                SVCINT    385
            CALL PRTMSG(3)                                              SVCINT    386
            DDAT(JS+6)=0.0                                              SVCINT    387
          ENDIF                                                         SVCINT    388
         ENDIF                                                          SVCINT    389
C                                                                       SVCINT    390
         IF(DDAT(JS+18).LT.TMIN.AND.IDDAT(JS+18).NE.0)THEN              SVCINT    391
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    392
          WRITE(MSG(2),9021) NRTYPN,'TS6',DDAT(JS+18),TMIN              SVCINT    393
          IF(MTFLAG.EQ.0) THEN                                          SVCINT    394
            CALL PRTMSG(2)                                              SVCINT    395
          ELSE                                                          SVCINT    396
            WRITE(MSG(3),9022) 'TS6',TMIN                               SVCINT    397
            CALL PRTMSG(3)                                              SVCINT    398
            DDAT(JS+18)=TMIN                                            SVCINT    399
          ENDIF                                                         SVCINT    400
         ENDIF                                                          SVCINT    401
C                                                                       SVCINT    402
         BASER(JY+4)=DDAT(JS+14)/BASPC                                  SVCINT    403
         BSVCN=BSVC(JY+2)/BASER(JY+4)                                   SVCINT    404
         BSVCB=BSVCN+DDAT(JS+24)                                        SVCINT    405
         BMIN=-DDAT(JS+17)/DDAT(JS+14)                                  SVCINT    406
         BMAX=BMIN+1.0                                                  SVCINT    407
         IF(BSVCB.LT.BMIN.OR.BSVCB.GT.BMAX) THEN                        SVCINT    408
      WRITE(MSG(1),1050) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)          SVCINT    409
      WRITE(MSG(2),1140)                                                SVCINT    410
      WRITE(MSG(3),1142) DDAT(JS+2),DDAT(JS+3),BSVCB                    SVCINT    411
      CALL PRTMSG(3)                                                    SVCINT    412
            MSG(1)='SVCINT: RATING ERROR.'                              SVCINT    413
            CALL ASTOP(MSG(1),20)                                       SVCINT    414
         ENDIF                                                          SVCINT    415
         VMG=REAL(VOLT(KS))**2+AIMAG(VOLT(KS))**2                       SVCINT    416
         QSAT=VMG*BSVCN                                                 SVCINT    417
         VMG=SQRT(VMG)                                                  SVCINT    418
         IF(NRTYPN.EQ.3) THEN                                           SVCINT    419
            MT1=IDDAT(JS+28)                                            SVCINT    420
            IF(MT1.EQ.0) THEN                                           SVCINT    421
               NLF1=IDDAT(JS+30)                                        SVCINT    422
               NLF2=NNEW(NLF1)                                          SVCINT    423
               IDDAT(JS+30)=NLF2                                        SVCINT    424
               NLF3=IDDAT(JS+31)                                        SVCINT    425
               NLF4=NNEW(NLF3)                                          SVCINT    426
               IDDAT(JS+31)=NLF4                                        SVCINT    427
               JCKID=IDDAT(JS+32)                                       SVCINT    428
               LCKT(1:2)=CKID(3:4)                                      SVCINT    429
               N3=3*NLF2                                                SVCINT    430
               M3=3*NLF4                                                SVCINT    431
               VRE=REAL(VOLT(NLF2))                                     SVCINT    432
               VIM=AIMAG(VOLT(NLF2))                                    SVCINT    433
               MLIN=IDDAT(JS+8)                                         SVCINT    434
               VI1=0.0                                                  SVCINT    435
               DO 160 J=1,MLIN                                          SVCINT    436
               JCKID=IDDAT(JS+45+2*J-1)                                 SVCINT    437
               LCKT1(1:2)=CKID(3:4)                                     SVCINT    438
               LOC=IDDAT(JS+45+2*J)                                     SVCINT    439
               CALL GETCUR(CURR,CURI,LOC)                               SVCINT    440
               VI1=VI1+VRE*CURR+VIM*CURI                                SVCINT    441
  160          CONTINUE                                                 SVCINT    442
            ELSEIF(MT1.EQ.1) THEN                                       SVCINT    443
               NLF1=IDDAT(JS+31)                                        SVCINT    444
               N3=3*NLF1                                                SVCINT    445
               VRE=REAL(VOLT(NLF1))                                     SVCINT    446
               VIM=AIMAG(VOLT(NLF1))                                    SVCINT    447
               VMG1=SQRT(VRE**2+VIM**2)                                 SVCINT    448
               NXS=NXS+1                                                SVCINT    449
               IF(VMG1.GT.0.05)THEN                                     SVCINT    450
                  XSTATE(JSTATE+NXS)=ATAN2(VIM,VRE)                     SVCINT    451
               ELSE                                                     SVCINT    452
                  XSTATE(JSTATE+NXS)=0.0                                SVCINT    453
               ENDIF                                                    SVCINT    454
               IDDAT(JS+44)=0                                           SVCINT    455
               DDAT(JS+45)=XSTATE(JSTATE+NXS)                           SVCINT    456
C                                                                       SVCINT    457
               IF(DDAT(JS+30).LT.TMIN)THEN                              SVCINT    458
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    459
          WRITE(MSG(2),9021) NRTYPN,'TF',DDAT(JS+30),TMIN               SVCINT    460
                IF(MTFLAG.EQ.0) THEN                                    SVCINT    461
                  CALL PRTMSG(2)                                        SVCINT    462
                ELSE                                                    SVCINT    463
                  WRITE(MSG(3),9022) 'TF',0.02                          SVCINT    464
                  CALL PRTMSG(3)                                        SVCINT    465
                  DDAT(JS+30)=0.02                                      SVCINT    466
                ENDIF                                                   SVCINT    467
               ENDIF                                                    SVCINT    468
C                                                                       SVCINT    469
               DDAT(JS+30)=1.0/DDAT(JS+30)                              SVCINT    470
               VI1=0.0                                                  SVCINT    471
            ELSE                                                        SVCINT    472
               NLF1=IDDAT(JS+30)                                        SVCINT    473
               IDGEN=IDDAT(JS+31)                                       SVCINT    474
               JJ=NTHG(NLF1+1)-NTHG(NLF1)                               SVCINT    475
               VI1=0.0                                                  SVCINT    476
               DO 170 J=1,JJ                                            SVCINT    477
               CCKT=KCKT(3:4)                                           SVCINT    478
               MCID=NDGC(JJ)(3:4)                                       SVCINT    479
               CALL LOGEN(CCKT,MCID,JFOUND)                             SVCINT    480
               IF(JFOUND.EQ.1) GOTO 180                                 SVCINT    481
  170          CONTINUE                                                 SVCINT    482
               N3=NLF1*3                                                SVCINT    483
      WRITE(MSG(1),1050) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)          SVCINT    484
      WRITE(MSG(2),1051)                                                SVCINT    485
      WRITE(MSG(3),1052) NOLD(NLF1),INAME(N3-2),INAME(N3-1)             SVCINT    486
     &         ,INAME(N3),KCKT                                          SVCINT    487
      CALL PRTMSG(3)                                                    SVCINT    488
               MSG(1)='SVCINT: INPUT LOCATION ERROR.'                   SVCINT    489
               CALL ASTOP(MSG(1),28)                                    SVCINT    490
  180          CONTINUE                                                 SVCINT    491
               IDDAT(JS+31)=NTHG(NLF1)+J                                SVCINT    492
            ENDIF                                                       SVCINT    493
            MT2=IDDAT(JS+29)                                            SVCINT    494
            IF(MT2.EQ.0) THEN                                           SVCINT    495
               VI2=VL                                                   SVCINT    496
            ELSEIF(MT2.EQ.1) THEN                                       SVCINT    497
               VI2=QSAT                                                 SVCINT    498
            ELSE                                                        SVCINT    499
               VI2=QSAT/VMG                                             SVCINT    500
            ENDIF                                                       SVCINT    501
C                                                                       SVCINT    502
            IF(DDAT(JS+34).LT.TMIN.AND.IDDAT(JS+34).NE.0)THEN           SVCINT    503
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    504
          WRITE(MSG(2),9021) NRTYPN,'TS7',DDAT(JS+34),TMIN              SVCINT    505
             IF(MTFLAG.EQ.0) THEN                                       SVCINT    506
               CALL PRTMSG(2)                                           SVCINT    507
             ELSE                                                       SVCINT    508
               WRITE(MSG(3),9022) 'TS7',0.0                             SVCINT    509
               CALL PRTMSG(3)                                           SVCINT    510
               DDAT(JS+34)=0.0                                          SVCINT    511
             ENDIF                                                      SVCINT    512
            ENDIF                                                       SVCINT    513
C                                                                       SVCINT    514
            IF(DDAT(JS+36).LT.TMIN.AND.IDDAT(JS+36).NE.0)THEN           SVCINT    515
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    516
          WRITE(MSG(2),9021) NRTYPN,'TS9',DDAT(JS+36),TMIN              SVCINT    517
             IF(MTFLAG.EQ.0) THEN                                       SVCINT    518
               CALL PRTMSG(2)                                           SVCINT    519
             ELSE                                                       SVCINT    520
               WRITE(MSG(3),9022) 'TS9',0.0                             SVCINT    521
               CALL PRTMSG(3)                                           SVCINT    522
               DDAT(JS+36)=0.0                                          SVCINT    523
             ENDIF                                                      SVCINT    524
            ENDIF                                                       SVCINT    525
C                                                                       SVCINT    526
            IF(DDAT(JS+41).LT.TMIN.AND.IDDAT(JS+41).NE.0)THEN           SVCINT    527
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    528
          WRITE(MSG(2),9021) NRTYPN,'TS10',DDAT(JS+41),TMIN             SVCINT    529
             IF(MTFLAG.EQ.0) THEN                                       SVCINT    530
               CALL PRTMSG(2)                                           SVCINT    531
             ELSE                                                       SVCINT    532
               WRITE(MSG(3),9022) 'TS10',0.0                            SVCINT    533
               CALL PRTMSG(3)                                           SVCINT    534
               DDAT(JS+41)=0.0                                          SVCINT    535
             ENDIF                                                      SVCINT    536
            ENDIF                                                       SVCINT    537
C                                                                       SVCINT    538
            IF(DDAT(JS+43).LT.TMIN.AND.IDDAT(JS+43).NE.0)THEN           SVCINT    539
          WRITE(MSG(1),9020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    540
          WRITE(MSG(2),9021) NRTYPN,'TS12',DDAT(JS+43),TMIN             SVCINT    541
             IF(MTFLAG.EQ.0) THEN                                       SVCINT    542
               CALL PRTMSG(2)                                           SVCINT    543
             ELSE                                                       SVCINT    544
               WRITE(MSG(3),9022) 'TS12',0.0                            SVCINT    545
               CALL PRTMSG(3)                                           SVCINT    546
               DDAT(JS+43)=0.0                                          SVCINT    547
             ENDIF                                                      SVCINT    548
            ENDIF                                                       SVCINT    549
C                                                                       SVCINT    550
            IF(DDAT(JS+37).LT.TMIN)THEN                                 SVCINT    551
          WRITE(MSG(1),9040) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      SVCINT    552
          WRITE(MSG(2),9021) NRTYPN,'TS13',DDAT(JS+37),TMIN             SVCINT    553
          CALL PRTMSG(2)                                                SVCINT    554
             MSG(1)='SVCINT: INPUT DATA ERROR'                          SVCINT    555
             CALL ASTOP(MSG(1),24)                                      SVCINT    556
            ENDIF                                                       SVCINT    557
C                                                                       SVCINT    558
            IF(IDDAT(JS+39).EQ.0) DDAT(JS+39)=999.9                     SVCINT    559
            VI1=VI1*DDAT(JS+33)                                         SVCINT    560
            IF(DDAT(JS+34).GT.0.0)THEN                                  SVCINT    561
               NXS=NXS+1                                                SVCINT    562
               XSTATE(JSTATE+NXS)=VI1                                   SVCINT    563
               DDAT(JS+34)=1.0/DDAT(JS+34)                              SVCINT    564
            ENDIF                                                       SVCINT    565
            IF(DDAT(JS+36).GT.0.0)THEN                                  SVCINT    566
               NXS=NXS+1                                                SVCINT    567
               XSTATE(JSTATE+NXS)=VI1                                   SVCINT    568
               DDAT(JS+36)=1.0/DDAT(JS+36)                              SVCINT    569
            ENDIF                                                       SVCINT    570
            VI2=VI2*DDAT(JS+40)                                         SVCINT    571
            IF(DDAT(JS+41).GT.0.0)THEN                                  SVCINT    572
               NXS=NXS+1                                                SVCINT    573
               XSTATE(JSTATE+NXS)=VI2                                   SVCINT    574
               DDAT(JS+41)=1.0/DDAT(JS+41)                              SVCINT    575
            ENDIF                                                       SVCINT    576
            IF(DDAT(JS+43).GT.0.0)THEN                                  SVCINT    577
               NXS=NXS+1                                                SVCINT    578
               XSTATE(JSTATE+NXS)=VI2                                   SVCINT    579
               DDAT(JS+43)=1.0/DDAT(JS+43)                              SVCINT    580
            ENDIF                                                       SVCINT    581
            NXS=NXS+1                                                   SVCINT    582
            XSTATE(JSTATE+NXS)=VI1+VI2                                  SVCINT    583
            DDAT(JS+37)=1.0/DDAT(JS+37)                                 SVCINT    584
         ENDIF                                                          SVCINT    585
C                                                                       SVCINT    586
         IF(IDDAT(JS+2).EQ.0.AND.IDDAT(JS+23).EQ.0) THEN                SVCINT    587
            DDAT(JS+2)=999.9                                            SVCINT    588
            DDAT(JS+23)=-999.9                                          SVCINT    589
         ENDIF                                                          SVCINT    590
         IF(DDAT(JS+2).LE.DDAT(JS+23)) THEN                             SVCINT    591
            WRITE(MSG(1),9040) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)    SVCINT    592
            WRITE(MSG(2),9050) NRTYPN                                   SVCINT    593
            WRITE(MSG(3),9051) DDAT(JS+2),DDAT(JS+23)                   SVCINT    594
            CALL PRTMSG(3)                                              SVCINT    595
            MSG(1)='SVCINT: INPUT DATA ERROR'                           SVCINT    596
            CALL ASTOP(MSG(1),24)                                       SVCINT    597
         ENDIF                                                          SVCINT    598
         IF(IDDAT(JS+21).NE.0.OR.IDDAT(JS+22).NE.0) THEN                SVCINT    599
            IF(DDAT(JS+21).LE.DDAT(JS+22)) THEN                         SVCINT    600
               WRITE(MSG(1),9040) NLF,INAME(K3-2),INAME(K3-1),INAME(K3) SVCINT    601
               WRITE(MSG(2),9050) NRTYPN                                SVCINT    602
               WRITE(MSG(3),9052) DDAT(JS+21),DDAT(JS+22)               SVCINT    603
               CALL PRTMSG(3)                                           SVCINT    604
               MSG(1)='SVCINT: INPUT DATA ERROR'                        SVCINT    605
               CALL ASTOP(MSG(1),24)                                    SVCINT    606
            ENDIF                                                       SVCINT    607
         ENDIF                                                          SVCINT    608
         DDAT(JS+17)=DDAT(JS+17)/DDAT(JS+14)                            SVCINT    609
         IF(DDAT(JS+1).GT.0.0) THEN                                     SVCINT    610
            NXS=NXS+1                                                   SVCINT    611
            XSTATE(JSTATE+NXS)=VL                                       SVCINT    612
            DDAT(JS+1)=1.0/DDAT(JS+1)                                   SVCINT    613
         ENDIF                                                          SVCINT    614
         VSUM=BSVCB/DDAT(JS+7)                                          SVCINT    615
         RVREF(JY+1)=VL-VSUM                                            SVCINT    616
         IF(DDAT(JS+4).GT.0.0) THEN                                     SVCINT    617
            NXS=NXS+1                                                   SVCINT    618
            XSTATE(JSTATE+NXS)=VSUM                                     SVCINT    619
            DDAT(JS+4)=1.0/DDAT(JS+4)                                   SVCINT    620
         ENDIF                                                          SVCINT    621
         IF(DDAT(JS+6).GT.0.0) THEN                                     SVCINT    622
            NXS=NXS+1                                                   SVCINT    623
            XSTATE(JSTATE+NXS)=VSUM                                     SVCINT    624
            DDAT(JS+6)=1.0/DDAT(JS+6)                                   SVCINT    625
         ENDIF                                                          SVCINT    626
C                                                                       SVCINT    627
         IF (IDDAT(JS+18).EQ.0) DDAT(JS+18)=0.02                        SVCINT    628
         NXS=NXS+1                                                      SVCINT    629
         XSTATE(JSTATE+NXS)=BSVCB                                       SVCINT    630
         DDAT(JS+18)=1.0/DDAT(JS+18)                                    SVCINT    631
         DDAT(JS+20)=0.0                                                SVCINT    632
C                                                                       SVCINT    633
      ENDIF                                                             SVCINT    634
C                                                                       SVCINT    635
C     ADVANCE THE COUNTERS                                              SVCINT    636
C                                                                       SVCINT    637
      JSTATE=JSTATE+NXS                                                 SVCINT    638
      JY=JY+4                                                           SVCINT    639
  190 CONTINUE                                                          SVCINT    640
      JXSVR(NSVC+1)=JSTATE                                              SVCINT    641
  200 CONTINUE                                                          SVCINT    642
      RETURN                                                            SVCINT    643
C                                                                       SVCINT    644
 1050 FORMAT(' *** ERROR SVC AT BUS#',I5,' STATION: ',3A4)              SVCINT    645
 1051 FORMAT(5X,'THE SPECIFIED GENERATOR FOR PACC INPUT TO'             SVCINT    646
     &,' THE SVC DOES NOT EXIST.')                                      SVCINT    647
 1052 FORMAT(5X,'GEN BUS# = ',I5,'STATION NAME ='                       SVCINT    648
     &,3A4,'GEN ID = ',A4)                                              SVCINT    649
 1140 FORMAT(5X,'VALUE OF BSVC IS OUTSIDE COMPENSATOR RANGE.'           SVCINT    650
     &,' CHECK QL AND QC.')                                             SVCINT    651
 1141 FORMAT(5X,'QL=',F10.5,' MVA  QC=',F10.5,' MVA  BSVC='             SVCINT    652
     *,F10.5,' PU.')                                                    SVCINT    653
 1142 FORMAT(5X,'QL=',F10.5,' MVA  QC=',F10.5,' MVA  B='                SVCINT    654
     *,F10.5,' PU.')                                                    SVCINT    655
 1160 FORMAT(1X,'INPUT VALUES: ',/,I5,F10.3)                            SVCINT    656
 9020 FORMAT(' *** WARNING SVC AT BUS:',I5,' STATION:',3A4)             SVCINT    657
 9021 FORMAT(5X,'TYPE:',I2,' SVC ',A,'=',G12.5                          SVCINT    658
     *,' IS BELOW THE LIMIT VALUE OF ',F4.2)                            SVCINT    659
 9022 FORMAT(5X,A,' HAS BEEN SET TO ',F4.2)                             SVCINT    660
 9040 FORMAT(' *** DATA ERROR SVC AT BUS:',I5,' STATION:',3A4)          SVCINT    661
 9050 FORMAT(5X,'TYPE:',I2,' HAS XCROSSING LIMITS.')                    SVCINT    662
 9051 FORMAT(5X,'VEMAX= ',F10.5,' VEMIN= ',F10.5)                       SVCINT    663
 9052 FORMAT(5X,'VMAX= ',F10.5,' VMIN= ',F10.5)                         SVCINT    664
      END                                                               SVCINT    665
